Ada Reference Manual (Ada 2022) — Legal Information

# J.15.12 Pragma Relative_Deadline

#### Syntax

1/3
The form of a pragma Relative_Deadline is as follows:
2/3
pragma Relative_Deadline (relative_deadline_expression);

#### Name Resolution Rules

3/3
The expected type for a relative_deadline_expression is Real_Time.Time_Span.

#### Legality Rules

4/3
A Relative_Deadline pragma is allowed only immediately within a task_definition or the declarative_part of a subprogram_body.

#### Static Semantics

5/3
For an implementation that supports Annex D, a pragma Relative_Deadline specifies the value of the Relative_Deadline aspect (see D.2.6). If the pragma appears in a task_definition, the expression is associated with the aspect for the task type or single_task_declaration that contains the pragma; otherwise, the expression is associated with the aspect for the subprogram that contains the pragma.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe